home
/
code
/
khome.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
9a82402
)
Add alarm script
author
Siraaj Khandkar
<siraaj@khandkar.net>
Sun, 10 Mar 2019 01:59:23 +0000
(20:59 -0500)
committer
Siraaj Khandkar
<siraaj@khandkar.net>
Sun, 10 Mar 2019 01:59:23 +0000
(20:59 -0500)
bin/alarm
[new file with mode: 0755]
patch
|
blob
diff --git a/bin/alarm
b/bin/alarm
new file mode 100755
(executable)
index 0000000..
f16a20c
--- /dev/null
+++ b/
bin/alarm
@@ -0,0
+1,19
@@
+#! /bin/sh
+
+case "$1"
+ in "")
+ printf "How many seconds to sleep?" 1>&2
+ exit 1
+ ;; *)
+ seconds="$1"
+esac
+
+$HOME/bin/snore "$seconds"
+
+printf "!!! TIMES UP !!!\n"
+
+while true
+do
+ play -q -n synth 0.25 sin 500 2> /dev/null
+ sleep 0.25
+done
This page took
0.017531 seconds
and
4
git commands to generate.